Debian Bug report logs - #376259
lynx ftp download: Want "save" as default, not "help"

version graph

Package: lynx; Maintainer for lynx is Atsuhito KOHDA <kohda@debian.org>; Source for lynx is src:lynx-cur.

Reported by: Helge Hafting <helgehaf@aitel.hist.no>

Date: Sat, 1 Jul 2006 12:18:01 UTC

Severity: wishlist

Found in version lynx/2.8.5-2sarge1

Fixed in version lynx-cur/2.8.7dev10-1

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>:
Bug#376259; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Helge Hafting <helgehaf@aitel.hist.no>:
New Bug report received and forwarded. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Helge Hafting <helgehaf@aitel.hist.no>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx ftp download: Want "save" as default, not "help"
Date: Sat, 01 Jul 2006 13:42:03 +0200
Package: lynx
Version: 2.8.5-2sarge1
Severity: wishlist


Lynx is nice for browsing ftp sites.
When finding something interesting, I press 'd' and lynx
downloads it. Then it shows me a page
with an option to save the downloaded file.


A long time ago, this page was very nice.  The "save"
link was active by default, probably because it was the first
link.  So, after downloading, I could press 
'rightarrow' and save the downloaded file with a single click.

Think about it.  When you download, you want to save the file somewhere.
It is almost always the next step, so it should definitely
be the default choice!

Some day, lynx regressed on an upgrade.  Now the default link
is 'help', which no-one should need here.  Well, I certainly don't
mind that help is available, even though it is really easy when you have
gotten this far.  But it should not be the default!

When downloading, 'help' isn't what you need normally. A somewhat
silly user might need it, but only the first few times and
then he knows what to do.  Please consider optimizing for the
common case of wanting to save the downloaded file.

Lynx is something I use for its speed mainly, an extra keypress
gets in the way of speed.

It'd be really nice to have "save to disk" as the default/first
link again, with the help stuff as a secondary choice. That'd bring
the speed back to the user interface.


I should have reported this a long time ago, but it isn't really
a bug. User interface design bug, perhaps. ;-) Now I figured
out I could report it as a wish.

Helge Hafting

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (900, 'testing'), (800, 'unstable'), (800, 'stable'), (700, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-mm4
Locale: LANG=nb_NO.UTF-8, LC_CTYPE=nb_NO.UTF-8 (charmap=UTF-8)

Versions of packages lynx depends on:
ii  libbz2-1.0                  1.0.3-2      high-quality block-sorting file co
ii  libc6                       2.3.6-15     GNU C Library: Shared libraries
ii  libgnutls11                 1.0.16-14+b1 GNU TLS library - runtime library
ii  libncursesw5                5.5-2        Shared libraries for terminal hand
ii  zlib1g                      1:1.2.3-11   compression library - runtime

Versions of packages lynx recommends:
ii  mime-support                  3.36-1     MIME files 'mime.types' & 'mailcap

-- debconf-show failed



Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. (Wed, 24 Sep 2008 07:03:11 GMT) Full text and rfc822 format available.

Notification sent to Helge Hafting <helgehaf@aitel.hist.no>:
Bug acknowledged by developer. (Wed, 24 Sep 2008 07:03:11 GMT) Full text and rfc822 format available.

Message #10 received at 376259-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 376259-close@bugs.debian.org
Subject: Bug#376259: fixed in lynx-cur 2.8.7dev10-1
Date: Wed, 24 Sep 2008 06:32:05 +0000
Source: lynx-cur
Source-Version: 2.8.7dev10-1

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.7dev10-1_all.deb
  to pool/main/l/lynx-cur/lynx-cur-wrapper_2.8.7dev10-1_all.deb
lynx-cur_2.8.7dev10-1.diff.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.7dev10-1.diff.gz
lynx-cur_2.8.7dev10-1.dsc
  to pool/main/l/lynx-cur/lynx-cur_2.8.7dev10-1.dsc
lynx-cur_2.8.7dev10-1_i386.deb
  to pool/main/l/lynx-cur/lynx-cur_2.8.7dev10-1_i386.deb
lynx-cur_2.8.7dev10.orig.tar.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.7dev10.orig.tar.gz
lynx_2.8.7dev10-1_all.deb
  to pool/main/l/lynx-cur/lynx_2.8.7dev10-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 376259@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 24 Sep 2008 11:55:24 +0900
Source: lynx-cur
Binary: lynx-cur lynx-cur-wrapper lynx
Architecture: source all i386
Version: 2.8.7dev10-1
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx       - Text-mode WWW Browser (transitional package)
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 204515 376259 461158 480144
Changes: 
 lynx-cur (2.8.7dev10-1) unstable; urgency=low
 .
   * New Upstream Release.
    - modify initial active link in download-page (Closes: #376259)
    - revise introductory comment written to ".lynxrc" (Closes: #461158)
    - suppress computation in TrimmedLength() for source-view (Closes: #204515)
    - adapt/extend parsdate.y from tin to improve parsing of cookie expiration
      times (Closes: #480144)
Checksums-Sha1: 
 6265f675814d14ab8024fa0c7d92458eda6148f6 1201 lynx-cur_2.8.7dev10-1.dsc
 c6976999eccbbd8829d2987de93c66c832daafb5 3317362 lynx-cur_2.8.7dev10.orig.tar.gz
 b0bb2920a08016d613689d68b70f48185b5b6d22 28314 lynx-cur_2.8.7dev10-1.diff.gz
 32e9ca24fb3447370dee60f3d265d40e1d8899e5 16232 lynx-cur-wrapper_2.8.7dev10-1_all.deb
 a661af3d66ec44d36d3bd7bf95fddc3d6c92d88f 13772 lynx_2.8.7dev10-1_all.deb
 9d4a03cfd1441a3599643f14905e5f28a22300e7 2026658 lynx-cur_2.8.7dev10-1_i386.deb
Checksums-Sha256: 
 6112b9ab0fc9714b50d785556f769ffcec07a517fe5d05b5bbfb2385e5ba1ebe 1201 lynx-cur_2.8.7dev10-1.dsc
 2441eded38bdc58c59abc13141e67f1c2291572ab98ead33f2b1b0eff536eed0 3317362 lynx-cur_2.8.7dev10.orig.tar.gz
 6bff792381a8f250180e2b3378ec16dc754f813fe96e94e2de87a8514aabc90f 28314 lynx-cur_2.8.7dev10-1.diff.gz
 83cead5b4afe7f3759c8189913deb85f23829f020a2bdd4a3104cf41ded9a5e1 16232 lynx-cur-wrapper_2.8.7dev10-1_all.deb
 417fecb3fa9eba3782b93afbfe40ab33fc09708b0620be915cce635602838484 13772 lynx_2.8.7dev10-1_all.deb
 abb0d60a64fae9010994551ca179f24b2b2bcfe1abf18c8ba61ea771d0947cec 2026658 lynx-cur_2.8.7dev10-1_i386.deb
Files: 
 41d0bedb0ed0aee02f2a1cd7e2d95aee 1201 web extra lynx-cur_2.8.7dev10-1.dsc
 dda5a25c5155e40cbbeb4df6a54e2c90 3317362 web extra lynx-cur_2.8.7dev10.orig.tar.gz
 b93b108c4b1b4343d89aa1f45803761d 28314 web extra lynx-cur_2.8.7dev10-1.diff.gz
 2ae29abf6aa441d002ccf099b2a23850 16232 web extra lynx-cur-wrapper_2.8.7dev10-1_all.deb
 0f5b490a91b6f35f3ed69f5caee66b41 13772 web extra lynx_2.8.7dev10-1_all.deb
 82699b3e5ffa5f662aeb9aadb250b161 2026658 web extra lynx-cur_2.8.7dev10-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjZ00sACgkQ1IXdL1v6kOwpmgCeI22GDUZJsw21I25BIN+GZ28L
oDgAn1HANss8zwsYbFIKX6jNFPbD8KFf
=ftjM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Oct 2008 07:29:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:16:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.